package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 案例-生涯规划-消费规划表
 *
 * @author xcj
 * case_consumption_plan
 */
public class CaseConsumptionPlan {
    @ApiModelProperty("生涯规划-消费规划id")
    private String caseConsumptionPlanId;

    @ApiModelProperty("案例题id")
    private String caseId;

    @ApiModelProperty("每月可支配资金")
    private BigDecimal monthlyInvestment;

    @ApiModelProperty("可用资产")
    private BigDecimal availableAssets;

    @ApiModelProperty("距离购房年限")
    private Integer shopHouseYear;

    @ApiModelProperty("面积")
    private BigDecimal houseArea;

    @ApiModelProperty("预计单价")
    private BigDecimal housePrice;

    @ApiModelProperty("房屋总金额")
    private BigDecimal houseAllMoney;

    @ApiModelProperty("首付比例")
    private BigDecimal houseDownPaymentPercent;

    @ApiModelProperty("贷款年限")
    private Integer houseLoanYear;

    @ApiModelProperty("贷款利率")
    private BigDecimal houseLoanRate;

    @ApiModelProperty("首付款")
    private BigDecimal houseDownPayment;

    @ApiModelProperty("购房总花费")
    private BigDecimal houseTotalAmount;

    @ApiModelProperty("可支配收入")
    private BigDecimal disposableInput;

    @ApiModelProperty("购房月供")
    private BigDecimal houseMonthlyAmount;

    @ApiModelProperty("距离购车年限")
    private Integer shopCarYear;

    @ApiModelProperty("车款型号")
    private String carType;

    @ApiModelProperty("裸车价格")
    private BigDecimal carPrice;

    @ApiModelProperty("首付比例")
    private BigDecimal carDownPaymentPercent;

    @ApiModelProperty("贷款年限")
    private Integer carLoanYear;

    @ApiModelProperty("贷款利率")
    private BigDecimal carLoanRate;

    @ApiModelProperty("购置税")
    private BigDecimal purchaseTax;

    @ApiModelProperty("上牌费用")
    private BigDecimal carRegFee;

    @ApiModelProperty("汽车排量")
    private Integer displacement;

    @ApiModelProperty("车船使用税")
    private BigDecimal vehicleAndVesselTax;

    @ApiModelProperty("交强险")
    private BigDecimal motorVehicleCompulsory;

    @ApiModelProperty("商业保险")
    private BigDecimal motorVehicleCommercial;

    @ApiModelProperty("首付款")
    private BigDecimal carDownPayment;

    @ApiModelProperty("购车总花费")
    private BigDecimal carTotalAmount;

    @ApiModelProperty("购车月供")
    private BigDecimal carMonthlyAmount;

    @ApiModelProperty("预计投资收益率")
    private BigDecimal returnOnInvestment;

    @ApiModelProperty("一次性投入金额")
    private BigDecimal lumpSum;

    @ApiModelProperty("每月定期投资金额")
    private BigDecimal monthRegularInvestAmount;

    @ApiModelProperty("定期定额投资年限")
    private Integer regularYear;

    @ApiModelProperty("消费规划分析老师评分")
    private BigDecimal analysisTeacherScore;

    @ApiModelProperty("理财方案老师评分")
    private BigDecimal caseTeacherScore;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("学生答案/题目答案")
    private String isAnswer;

    @ApiModelProperty("消费规划分析")
    private String analysis;

    public String getCaseConsumptionPlanId() {
        return caseConsumptionPlanId;
    }

    public void setCaseConsumptionPlanId(String caseConsumptionPlanId) {
        this.caseConsumptionPlanId = caseConsumptionPlanId == null ? null : caseConsumptionPlanId.trim();
    }

    public String getCaseId() {
        return caseId;
    }

    public void setCaseId(String caseId) {
        this.caseId = caseId == null ? null : caseId.trim();
    }

    public BigDecimal getMonthlyInvestment() {
        return monthlyInvestment;
    }

    public void setMonthlyInvestment(BigDecimal monthlyInvestment) {
        this.monthlyInvestment = monthlyInvestment;
    }

    public BigDecimal getAvailableAssets() {
        return availableAssets;
    }

    public void setAvailableAssets(BigDecimal availableAssets) {
        this.availableAssets = availableAssets;
    }

    public Integer getShopHouseYear() {
        return shopHouseYear;
    }

    public void setShopHouseYear(Integer shopHouseYear) {
        this.shopHouseYear = shopHouseYear;
    }

    public BigDecimal getHouseArea() {
        return houseArea;
    }

    public void setHouseArea(BigDecimal houseArea) {
        this.houseArea = houseArea;
    }

    public BigDecimal getHousePrice() {
        return housePrice;
    }

    public void setHousePrice(BigDecimal housePrice) {
        this.housePrice = housePrice;
    }

    public BigDecimal getHouseAllMoney() {
        return houseAllMoney;
    }

    public void setHouseAllMoney(BigDecimal houseAllMoney) {
        this.houseAllMoney = houseAllMoney;
    }

    public BigDecimal getHouseDownPaymentPercent() {
        return houseDownPaymentPercent;
    }

    public void setHouseDownPaymentPercent(BigDecimal houseDownPaymentPercent) {
        this.houseDownPaymentPercent = houseDownPaymentPercent;
    }

    public Integer getHouseLoanYear() {
        return houseLoanYear;
    }

    public void setHouseLoanYear(Integer houseLoanYear) {
        this.houseLoanYear = houseLoanYear;
    }

    public BigDecimal getHouseLoanRate() {
        return houseLoanRate;
    }

    public void setHouseLoanRate(BigDecimal houseLoanRate) {
        this.houseLoanRate = houseLoanRate;
    }

    public BigDecimal getHouseDownPayment() {
        return houseDownPayment;
    }

    public void setHouseDownPayment(BigDecimal houseDownPayment) {
        this.houseDownPayment = houseDownPayment;
    }

    public BigDecimal getHouseTotalAmount() {
        return houseTotalAmount;
    }

    public void setHouseTotalAmount(BigDecimal houseTotalAmount) {
        this.houseTotalAmount = houseTotalAmount;
    }

    public BigDecimal getDisposableInput() {
        return disposableInput;
    }

    public void setDisposableInput(BigDecimal disposableInput) {
        this.disposableInput = disposableInput;
    }

    public BigDecimal getHouseMonthlyAmount() {
        return houseMonthlyAmount;
    }

    public void setHouseMonthlyAmount(BigDecimal houseMonthlyAmount) {
        this.houseMonthlyAmount = houseMonthlyAmount;
    }

    public Integer getShopCarYear() {
        return shopCarYear;
    }

    public void setShopCarYear(Integer shopCarYear) {
        this.shopCarYear = shopCarYear;
    }

    public String getCarType() {
        return carType;
    }

    public void setCarType(String carType) {
        this.carType = carType == null ? null : carType.trim();
    }

    public BigDecimal getCarPrice() {
        return carPrice;
    }

    public void setCarPrice(BigDecimal carPrice) {
        this.carPrice = carPrice;
    }

    public BigDecimal getCarDownPaymentPercent() {
        return carDownPaymentPercent;
    }

    public void setCarDownPaymentPercent(BigDecimal carDownPaymentPercent) {
        this.carDownPaymentPercent = carDownPaymentPercent;
    }

    public Integer getCarLoanYear() {
        return carLoanYear;
    }

    public void setCarLoanYear(Integer carLoanYear) {
        this.carLoanYear = carLoanYear;
    }

    public BigDecimal getCarLoanRate() {
        return carLoanRate;
    }

    public void setCarLoanRate(BigDecimal carLoanRate) {
        this.carLoanRate = carLoanRate;
    }

    public BigDecimal getPurchaseTax() {
        return purchaseTax;
    }

    public void setPurchaseTax(BigDecimal purchaseTax) {
        this.purchaseTax = purchaseTax;
    }

    public BigDecimal getCarRegFee() {
        return carRegFee;
    }

    public void setCarRegFee(BigDecimal carRegFee) {
        this.carRegFee = carRegFee;
    }

    public Integer getDisplacement() {
        return displacement;
    }

    public void setDisplacement(Integer displacement) {
        this.displacement = displacement;
    }

    public BigDecimal getVehicleAndVesselTax() {
        return vehicleAndVesselTax;
    }

    public void setVehicleAndVesselTax(BigDecimal vehicleAndVesselTax) {
        this.vehicleAndVesselTax = vehicleAndVesselTax;
    }

    public BigDecimal getMotorVehicleCompulsory() {
        return motorVehicleCompulsory;
    }

    public void setMotorVehicleCompulsory(BigDecimal motorVehicleCompulsory) {
        this.motorVehicleCompulsory = motorVehicleCompulsory;
    }

    public BigDecimal getMotorVehicleCommercial() {
        return motorVehicleCommercial;
    }

    public void setMotorVehicleCommercial(BigDecimal motorVehicleCommercial) {
        this.motorVehicleCommercial = motorVehicleCommercial;
    }

    public BigDecimal getCarDownPayment() {
        return carDownPayment;
    }

    public void setCarDownPayment(BigDecimal carDownPayment) {
        this.carDownPayment = carDownPayment;
    }

    public BigDecimal getCarTotalAmount() {
        return carTotalAmount;
    }

    public void setCarTotalAmount(BigDecimal carTotalAmount) {
        this.carTotalAmount = carTotalAmount;
    }

    public BigDecimal getCarMonthlyAmount() {
        return carMonthlyAmount;
    }

    public void setCarMonthlyAmount(BigDecimal carMonthlyAmount) {
        this.carMonthlyAmount = carMonthlyAmount;
    }

    public BigDecimal getReturnOnInvestment() {
        return returnOnInvestment;
    }

    public void setReturnOnInvestment(BigDecimal returnOnInvestment) {
        this.returnOnInvestment = returnOnInvestment;
    }

    public BigDecimal getLumpSum() {
        return lumpSum;
    }

    public void setLumpSum(BigDecimal lumpSum) {
        this.lumpSum = lumpSum;
    }

    public BigDecimal getMonthRegularInvestAmount() {
        return monthRegularInvestAmount;
    }

    public void setMonthRegularInvestAmount(BigDecimal monthRegularInvestAmount) {
        this.monthRegularInvestAmount = monthRegularInvestAmount;
    }

    public Integer getRegularYear() {
        return regularYear;
    }

    public void setRegularYear(Integer regularYear) {
        this.regularYear = regularYear;
    }

    public BigDecimal getAnalysisTeacherScore() {
        return analysisTeacherScore;
    }

    public void setAnalysisTeacherScore(BigDecimal analysisTeacherScore) {
        this.analysisTeacherScore = analysisTeacherScore;
    }

    public BigDecimal getCaseTeacherScore() {
        return caseTeacherScore;
    }

    public void setCaseTeacherScore(BigDecimal caseTeacherScore) {
        this.caseTeacherScore = caseTeacherScore;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getIsAnswer() {
        return isAnswer;
    }

    public void setIsAnswer(String isAnswer) {
        this.isAnswer = isAnswer == null ? null : isAnswer.trim();
    }

    public String getAnalysis() {
        return analysis;
    }

    public void setAnalysis(String analysis) {
        this.analysis = analysis == null ? null : analysis.trim();
    }
}