package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 案例生涯规划退休规划表
 *
 * @author xcj
 * case_retirement_plan
 */
public class CaseRetirementPlan {
    @ApiModelProperty("案例-生涯规划-退休规划ID")
    private String caseRetirementPlanId;

    private String caseid;

    @ApiModelProperty("当前年龄")
    private Integer age;

    @ApiModelProperty("退休前通货膨胀率")
    private BigDecimal beforeInflationRate;

    @ApiModelProperty("退休后通货膨胀率")
    private BigDecimal afterInflationRate;

    @ApiModelProperty("退休后投资收益率")
    private BigDecimal retirementRate;

    @ApiModelProperty("社保工资增长率")
    private BigDecimal sociaSecurityRate;

    @ApiModelProperty("租金增长率")
    private BigDecimal rentRate;

    @ApiModelProperty("其他收入增长率")
    private BigDecimal otherRate;

    @ApiModelProperty("计划退休年龄")
    private Integer retirementAge;

    @ApiModelProperty("希望享有退休生活年限")
    private Integer retirementYears;

    @ApiModelProperty("目前生活水平")
    private String livingStandardNow;

    @ApiModelProperty("生活满意度")
    private Integer satisfaction;

    @ApiModelProperty("满意生活水平")
    private String satisfactionLivingStandard;

    @ApiModelProperty("退休后、退休前生活水平折算比例")
    private BigDecimal convertProportion;

    @ApiModelProperty("子女传承费用")
    private BigDecimal lineageFee;

    @ApiModelProperty("退休时生活水平")
    private String retirementLivingStandard;

    @ApiModelProperty("退休后生活水平")
    private String afterLivingStandard;

    @ApiModelProperty("社会保险")
    private BigDecimal socialInsurance;

    @ApiModelProperty("商业保险")
    private BigDecimal commercialInsurance;

    @ApiModelProperty("租金收入")
    private BigDecimal rentIncome;

    @ApiModelProperty("其他收入")
    private BigDecimal otherIncome;

    @ApiModelProperty("小计")
    private BigDecimal totalIncome;

    @ApiModelProperty("退休时需准备的现金总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty("预计投资收益率")
    private BigDecimal returnOnInvestmentRate;

    @ApiModelProperty("一次性投入金额")
    private BigDecimal disposableInput;

    @ApiModelProperty("每月定期投资金额")
    private BigDecimal monthlyInvestment;

    @ApiModelProperty("定期定额投资年限")
    private Integer regularYear;

    @ApiModelProperty("此方案能实现的目标金额")
    private BigDecimal targetAmount;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("学生答案/题目答案")
    private String isAnswer;

    @ApiModelProperty("退休规划分析老师评分")
    private BigDecimal analysisTeacherScore;

    @ApiModelProperty("理财方案老师评分")
    private BigDecimal caseTeacherScore;

    @ApiModelProperty("退休规划分析")
    private String analysis;

    public String getCaseRetirementPlanId() {
        return caseRetirementPlanId;
    }

    public void setCaseRetirementPlanId(String caseRetirementPlanId) {
        this.caseRetirementPlanId = caseRetirementPlanId == null ? null : caseRetirementPlanId.trim();
    }

    public String getCaseid() {
        return caseid;
    }

    public void setCaseid(String caseid) {
        this.caseid = caseid == null ? null : caseid.trim();
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public BigDecimal getBeforeInflationRate() {
        return beforeInflationRate;
    }

    public void setBeforeInflationRate(BigDecimal beforeInflationRate) {
        this.beforeInflationRate = beforeInflationRate;
    }

    public BigDecimal getAfterInflationRate() {
        return afterInflationRate;
    }

    public void setAfterInflationRate(BigDecimal afterInflationRate) {
        this.afterInflationRate = afterInflationRate;
    }

    public BigDecimal getRetirementRate() {
        return retirementRate;
    }

    public void setRetirementRate(BigDecimal retirementRate) {
        this.retirementRate = retirementRate;
    }

    public BigDecimal getSociaSecurityRate() {
        return sociaSecurityRate;
    }

    public void setSociaSecurityRate(BigDecimal sociaSecurityRate) {
        this.sociaSecurityRate = sociaSecurityRate;
    }

    public BigDecimal getRentRate() {
        return rentRate;
    }

    public void setRentRate(BigDecimal rentRate) {
        this.rentRate = rentRate;
    }

    public BigDecimal getOtherRate() {
        return otherRate;
    }

    public void setOtherRate(BigDecimal otherRate) {
        this.otherRate = otherRate;
    }

    public Integer getRetirementAge() {
        return retirementAge;
    }

    public void setRetirementAge(Integer retirementAge) {
        this.retirementAge = retirementAge;
    }

    public Integer getRetirementYears() {
        return retirementYears;
    }

    public void setRetirementYears(Integer retirementYears) {
        this.retirementYears = retirementYears;
    }

    public String getLivingStandardNow() {
        return livingStandardNow;
    }

    public void setLivingStandardNow(String livingStandardNow) {
        this.livingStandardNow = livingStandardNow == null ? null : livingStandardNow.trim();
    }

    public Integer getSatisfaction() {
        return satisfaction;
    }

    public void setSatisfaction(Integer satisfaction) {
        this.satisfaction = satisfaction;
    }

    public String getSatisfactionLivingStandard() {
        return satisfactionLivingStandard;
    }

    public void setSatisfactionLivingStandard(String satisfactionLivingStandard) {
        this.satisfactionLivingStandard = satisfactionLivingStandard == null ? null : satisfactionLivingStandard.trim();
    }

    public BigDecimal getConvertProportion() {
        return convertProportion;
    }

    public void setConvertProportion(BigDecimal convertProportion) {
        this.convertProportion = convertProportion;
    }

    public BigDecimal getLineageFee() {
        return lineageFee;
    }

    public void setLineageFee(BigDecimal lineageFee) {
        this.lineageFee = lineageFee;
    }

    public String getRetirementLivingStandard() {
        return retirementLivingStandard;
    }

    public void setRetirementLivingStandard(String retirementLivingStandard) {
        this.retirementLivingStandard = retirementLivingStandard == null ? null : retirementLivingStandard.trim();
    }

    public String getAfterLivingStandard() {
        return afterLivingStandard;
    }

    public void setAfterLivingStandard(String afterLivingStandard) {
        this.afterLivingStandard = afterLivingStandard == null ? null : afterLivingStandard.trim();
    }

    public BigDecimal getSocialInsurance() {
        return socialInsurance;
    }

    public void setSocialInsurance(BigDecimal socialInsurance) {
        this.socialInsurance = socialInsurance;
    }

    public BigDecimal getCommercialInsurance() {
        return commercialInsurance;
    }

    public void setCommercialInsurance(BigDecimal commercialInsurance) {
        this.commercialInsurance = commercialInsurance;
    }

    public BigDecimal getRentIncome() {
        return rentIncome;
    }

    public void setRentIncome(BigDecimal rentIncome) {
        this.rentIncome = rentIncome;
    }

    public BigDecimal getOtherIncome() {
        return otherIncome;
    }

    public void setOtherIncome(BigDecimal otherIncome) {
        this.otherIncome = otherIncome;
    }

    public BigDecimal getTotalIncome() {
        return totalIncome;
    }

    public void setTotalIncome(BigDecimal totalIncome) {
        this.totalIncome = totalIncome;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public BigDecimal getReturnOnInvestmentRate() {
        return returnOnInvestmentRate;
    }

    public void setReturnOnInvestmentRate(BigDecimal returnOnInvestmentRate) {
        this.returnOnInvestmentRate = returnOnInvestmentRate;
    }

    public BigDecimal getDisposableInput() {
        return disposableInput;
    }

    public void setDisposableInput(BigDecimal disposableInput) {
        this.disposableInput = disposableInput;
    }

    public BigDecimal getMonthlyInvestment() {
        return monthlyInvestment;
    }

    public void setMonthlyInvestment(BigDecimal monthlyInvestment) {
        this.monthlyInvestment = monthlyInvestment;
    }

    public Integer getRegularYear() {
        return regularYear;
    }

    public void setRegularYear(Integer regularYear) {
        this.regularYear = regularYear;
    }

    public BigDecimal getTargetAmount() {
        return targetAmount;
    }

    public void setTargetAmount(BigDecimal targetAmount) {
        this.targetAmount = targetAmount;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getIsAnswer() {
        return isAnswer;
    }

    public void setIsAnswer(String isAnswer) {
        this.isAnswer = isAnswer == null ? null : isAnswer.trim();
    }

    public BigDecimal getAnalysisTeacherScore() {
        return analysisTeacherScore;
    }

    public void setAnalysisTeacherScore(BigDecimal analysisTeacherScore) {
        this.analysisTeacherScore = analysisTeacherScore;
    }

    public BigDecimal getCaseTeacherScore() {
        return caseTeacherScore;
    }

    public void setCaseTeacherScore(BigDecimal caseTeacherScore) {
        this.caseTeacherScore = caseTeacherScore;
    }

    public String getAnalysis() {
        return analysis;
    }

    public void setAnalysis(String analysis) {
        this.analysis = analysis == null ? null : analysis.trim();
    }
}