package com.sztzjy.money_management.service.impl;

import com.sztzjy.money_management.config.Constant;
import com.sztzjy.money_management.entity.Chapter;
import com.sztzjy.money_management.entity.ChapterExample;
import com.sztzjy.money_management.mapper.ChapterMapper;
import com.sztzjy.money_management.service.ChapterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.UUID;

@Service
public class ChapterServiceImpl implements ChapterService {
    @Autowired
    ChapterMapper chapterMapper;
    @Override
    public Boolean chapterAdd(String chapterName, String schoolId) {
        Chapter chapter = new Chapter();
        chapter.setChapterId(String.valueOf(UUID.randomUUID()));
        chapter.setChapterName(chapterName);
        chapter.setAddTime(new Date());
        chapter.setSource(schoolId);
        int insert = chapterMapper.insert(chapter);
        return insert==1;
    }

    @Override
    public List<Chapter> chapterSelect(String schoolId) {
        ChapterExample chapterExample = new ChapterExample();
        ChapterExample.Criteria criteria = chapterExample.createCriteria();
        if(Constant.BUILT_IN_SCHOOL_ID.equals(schoolId)){
            criteria.andSourceEqualTo(schoolId);
        }else {
            ArrayList<String> list = new ArrayList<>();
            list.add(Constant.BUILT_IN_SCHOOL_ID);
            list.add(schoolId);
            criteria.andSourceIn(list);
        }
        List<Chapter> chapters = chapterMapper.selectByExample(chapterExample);
        return chapters;
    }

    @Override
    public Boolean chapterDelete(String chapterId, String schoolId) {
        if(Constant.BUILT_IN_SCHOOL_ID.equals(schoolId)){  //管理员删除章节
            int i = chapterMapper.deleteByPrimaryKey(chapterId);
            return i==1;
        }else { //老师删除章节
            Chapter chapter = chapterMapper.selectByPrimaryKey(chapterId);
            if(schoolId.equals(chapter.getSource())){
                int i = chapterMapper.deleteByPrimaryKey(chapterId);
                return i==1;
            }else { //权限不足
                return false;
            }
        }
    }
}
